コンテンツへスキップ

Chrono Edit Lora Gallery · Paintbrush

統合

モデルID chrono-edit-lora-gallery/paintbrush
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora-gallery/paintbrush?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.02 20 APIクレジット このページで実行

APIキーを取得
NVIDIA 画像編集 720pまで #paint#edit#sketch

ペイントした領域をプロンプトに従って変換するスケッチ誘導型画像編集

NVIDIA · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

スケッチ領域に適用する変更の説明。

•必須 image_url
ファイルをドロップ、または

編集用に指定する画像。

resolution デフォルト 480p

生成される画像の解像度。

詳細設定 mask · output_format · num_inference_steps · guidance_scale · lora_scale · seed · enable_safety_checker · turbo_mode · loras
mask_url
ファイルをドロップ、または

黒い領域をスケッチまたはペイントする場所として示すオプションの画像マスク。

output_format デフォルト png

生成される画像のファイル形式。

デフォルト 8

実行するデノイズ反復の合計回数。

デフォルト 1

classifier-free guidanceの強度。

デフォルト 1

LoRAアダプターに適用するスケーリング倍率。

推論中に使用するシード。

デフォルト []

統合するオプションの追加LoRAセット。最大3個です。

POST /run/chrono-edit-lora-gallery/paintbrush?wait=20 見積もり → $0.02
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/chrono-edit-lora-gallery/paintbrush?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Chrono Edit Lora Gallery · Paintbrushについて

`prompt`に従い、画像上にスケッチした領域を変換して編集します。任意の`mask_url`でペイントする領域を指定し、黒い領域が対象箇所を示します。`lora_scale`は0〜2、解像度は480pまたは720pで、出力のデフォルトはpngです。`loras`で最大3つの追加LoRAを統合できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
image_url必須 image
型url · image
編集用に指定する画像。
mask_url任意 mask
型url · image
黒い領域をスケッチまたはペイントする場所として示すオプションの画像マスク。
prompt必須
型string
スケッチ領域に適用する変更の説明。
num_inference_steps任意
型integer
デフォルト8
2 – 50
実行するデノイズ反復の合計回数。
guidance_scale任意
型number
デフォルト1
0 – 10
classifier-free guidanceの強度。
resolution任意
型enum
デフォルト480p
480p720p
生成される画像の解像度。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックの切り替え。オフ設定が有効になるのは承認済みアカウントのみです。承認されていないすべてのリクエストには安全性チェックが実行されます。
lora_scale任意
型number
デフォルト1
0 – 2
LoRAアダプターに適用するスケーリング倍率。
seed任意
型integer | null
推論中に使用するシード。
output_format任意
型enum
デフォルトpng
jpegpngwebp
生成される画像のファイル形式。
turbo_mode任意
型boolean
デフォルトtrue
推論を高速化するTurboモードの切り替え。
loras任意
型object[]
デフォルト[]
統合するオプションの追加LoRAセット。最大3個です。
loras[].path必須
型string
Safetensors形式のLoRAウェイトの場所。URLまたはパスで指定します。
loras[].scale任意
型number
デフォルト1
0 – 4
LoRAの強度を設定するスケーリング倍率。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "chrono-edit-lora-gallery/paintbrush",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 20,
    "usd": "0.02",
    "charged": 20,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "prompt": "The user wants to add a surfer to the wave in the illustration while preserving the original ukiyo-e woodblock art style. The surfer should be depicted mid-action, crouched low on a modern-style surfboard, carving through the crest of the wave with one arm extended for balance and the other gripping the board. Their wavy hair and athletic physique should match the dynamic motion. The background must remain unchanged, including the iconic Mount Fuji and the traditional Japanese text, to maintain the artwork's historical aesthetic and composition.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}編集結果の画像。
prompt
string推論プロセスに渡すプロンプト。
seed
integer推論中に使用するシード。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/chrono-edit-lora-gallery/paintbrush.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt